Skip to main content
GET
Get a delivery

Authorizations

Authorization
string
header
required

HTTP Basic Authentication. Use your API Access Key ID as the username and your API Access Key Secret as the password. Generate keys in the CloudTalk Dashboard under Account -> Settings -> API Keys (https://dashboard.cloudtalk.io/menu/account/settings/API-keys).

Path Parameters

endpointId
string
required

Webhook endpoint id (ep_...).

Example:

"ep_2nJ4qKZr8C1tY0dXwV3uFh7bM9s"

deliveryId
string
required

Delivery id (msg_...). It is the same value as the svix-id header of the delivered request.

Example:

"msg_2nJ5bQw1pX7cT4aZsY8vHk0dLr3"

Response

The delivery.

id
string
required

Delivery id; the same value as the svix-id header of the delivered request.

eventType
string
required
eventId
string | null
required

The event_id of the webhook body, the key to deduplicate on.

status
enum<string>
required

retrying: an attempt failed and another is scheduled at nextAttemptAt. failed: the last attempt failed and no retry is scheduled.

Available options:
succeeded,
failed,
retrying,
pending,
canceled
nextAttemptAt
string<date-time> | null
required
createdAt
string<date-time>
required
payload
object | null
required

The body that was sent. null after the 30-day payload retention.

attempts
object[]
required